package com.jz.dm.mall.moduls.service;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.log.bean.LogInfoQueryReq;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;

import javax.servlet.http.HttpServletRequest;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoService
 * @USER: key
 * @DATE: 2020-12-3/18:59
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public interface LogInfoService {
    /**
     * 获取用户调用日志列表
     * @param request
     * @param req
     * @return
     */
    Result<PageInfoResponse<PlatformLog>> getMallUserLogInfo(LogInfoQueryReq req, HttpServletRequest request);

    /**
     * 获取商城用户日志信息详情
     * @param platformLogId
     * @return
     */
    Result getMallUserLogDetail(Long platformLogId);
}
